<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Search Things</title>
</head>
<body>
<script>
    var head = {
        glasses: 1
    };

    var table = {
        pen: 3
    };

    var bed = {
        sheet: 1,
        pillow: 2
    };

    var pockets = {
        money: 2000
    };
    // pockets -> bed -> table -> head
    // То есть pockets.pen == 3, bed.glasses == 1,
    // но table.money == undefined

    pockets.__proto__ = bed;
    bed.__proto__ = table;
    table.__proto__ = head;

    console.log('pockets.pen = ' + pockets.pen);
    console.log('bed.glasses = ' + bed.glasses);
    console.log('table.money = ' + table.money);
</script>
</body>
</html>
